﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using DotNet.Utilities;
using System.IO;

namespace LocalLang
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            

             
        }

        private static void GetResources()
        {
            string path = Path.Combine(Application.StartupPath, "Resource", "Localization");
            ResourceManagerWrapper.Instance.LoadResources(path);
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            GetResources();
            
        }

        private void SetLanguages(string languages)
        {
            this.Text = ResourceManagerWrapper.Instance.Get(languages, "Form1");
            this.button1.Text = ResourceManagerWrapper.Instance.Get(languages, "button1");
        }

        private void radioButton1_CheckedChanged(object sender, EventArgs e)
        {
            this.SetLanguages("en-US");
        }

        private void radioButton3_CheckedChanged(object sender, EventArgs e)
        {
            this.SetLanguages("zh-CHS");
        }

        private void radioButton2_CheckedChanged(object sender, EventArgs e)
        {
            this.SetLanguages("zh-HK");
        }

    }
}
